import { Components } from 'hast-util-to-jsx-runtime';

declare const SUPPORTED_LANGUAGES: ["angular-html", "angular-ts", "astro", "bash", "blade", "c", "c++", "coffee", "coffeescript", "cpp", "css", "glsl", "gql", "graphql", "haml", "handlebars", "hbs", "html", "html-derivative", "http", "imba", "jade", "java", "javascript", "jinja", "jison", "jl", "js", "json", "json5", "jsonc", "jsonl", "jsx", "julia", "less", "lit", "lua", "markdown", "marko", "md", "mdc", "mdx", "php", "postcss", "pug", "py", "python", "r", "rb", "regex", "regexp", "ruby", "sass", "scss", "sh", "shell", "shellscript", "sql", "styl", "stylus", "svelte", "text", "toml", "ts", "ts-tags", "tsx", "typescript", "vue", "vue-html", "wasm", "wgsl", "xml", "yaml", "yml", "zsh"];
export type Language = (typeof SUPPORTED_LANGUAGES)[number];
export declare const isSupportedLanguage: (value: string) => value is Language;
export declare const highlight: (code: string, { components, language, theme, }: {
    components?: Partial<Components> | undefined;
    language: Language;
    theme: string;
}) => Promise<React.JSX.Element>;
export {};
//# sourceMappingURL=highlight.d.ts.map