import { jsxs, jsx } from "react/jsx-runtime";
import { useNetlifySDK } from "../use_netlify_sdk.js";
import { ExtensionSettingsHeader } from "./ExtensionSettingsHeader.js";
import { ProviderAuthCard } from "./ProviderAuthCard.js";
import { SettingsCard } from "./SettingsCard.js";
const ExtensionSettings = ({
  children,
  subheader
}) => {
  const sdk = useNetlifySDK();
  return /* @__PURE__ */ jsxs("section", { id: `section-${sdk.extension.slug}`, children: [
    /* @__PURE__ */ jsx(ExtensionSettingsHeader, { subheader }),
    /* @__PURE__ */ jsx(ProviderAuthCard, {}),
    /* @__PURE__ */ jsx(SettingsCard, { children })
  ] });
};
export {
  ExtensionSettings
};
//# sourceMappingURL=ExtensionSettings.js.map
